javax.faces.component.html

## Class HtmlMessages

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - javax.faces.component.html.HtmlMessages

- All Implemented Interfaces:
    EventListener, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

      public class HtmlMessages
      extends UIMessages

  By default, the `rendererType` property must be set to "`javax.faces.Messages`". This value can be changed by calling the `setRendererType()` method.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlMessages.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIMessages

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDir()` Return the value of the `dir` property.
    `String` | `getErrorClass()` Return the value of the `errorClass` property.
    `String` | `getErrorStyle()` Return the value of the `errorStyle` property.
    `String` | `getFatalClass()` Return the value of the `fatalClass` property.
    `String` | `getFatalStyle()` Return the value of the `fatalStyle` property.
    `String` | `getInfoClass()` Return the value of the `infoClass` property.
    `String` | `getInfoStyle()` Return the value of the `infoStyle` property.
    `String` | `getLang()` Return the value of the `lang` property.
    `String` | `getLayout()` Return the value of the `layout` property.
    `String` | `getRole()` Return the value of the `role` property.
    `String` | `getStyle()` Return the value of the `style` property.
    `String` | `getStyleClass()` Return the value of the `styleClass` property.
    `String` | `getTitle()` Return the value of the `title` property.
    `String` | `getWarnClass()` Return the value of the `warnClass` property.
    `String` | `getWarnStyle()` Return the value of the `warnStyle` property.
    `boolean` | `isTooltip()` Return the value of the `tooltip` property.
    `void` | `setDir(String dir)` Set the value of the `dir` property.
    `void` | `setErrorClass(String errorClass)` Set the value of the `errorClass` property.
    `void` | `setErrorStyle(String errorStyle)` Set the value of the `errorStyle` property.
    `void` | `setFatalClass(String fatalClass)` Set the value of the `fatalClass` property.
    `void` | `setFatalStyle(String fatalStyle)` Set the value of the `fatalStyle` property.
    `void` | `setInfoClass(String infoClass)` Set the value of the `infoClass` property.
    `void` | `setInfoStyle(String infoStyle)` Set the value of the `infoStyle` property.
    `void` | `setLang(String lang)` Set the value of the `lang` property.
    `void` | `setLayout(String layout)` Set the value of the `layout` property.
    `void` | `setRole(String role)` Set the value of the `role` property.
    `void` | `setStyle(String style)` Set the value of the `style` property.
    `void` | `setStyleClass(String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTitle(String title)` Set the value of the `title` property.
    `void` | `setTooltip(boolean tooltip)` Set the value of the `tooltip` property.
    `void` | `setWarnClass(String warnClass)` Set the value of the `warnClass` property.
    `void` | `setWarnStyle(String warnStyle)` Set the value of the `warnStyle` property.

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFamily, getFor, isGlobalOnly, isRedisplay, isShowDetail, isShowSummary, setFor, setGlobalOnly, setRedisplay, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlMessages

          public HtmlMessages()

  - ### Method Detail

    - #### getDir

          public String getDir()

      Return the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left). These attributes are case sensitive when rendering to XHTML, so care must be taken to have the correct case.

    - #### setDir

          public void setDir(String dir)

      Set the value of the `dir` property.

    - #### getErrorClass

          public String getErrorClass()

      Return the value of the `errorClass` property.

      Contents: CSS style class to apply to any message with a severity class of "ERROR".

    - #### setErrorClass

          public void setErrorClass(String errorClass)

      Set the value of the `errorClass` property.

    - #### getErrorStyle

          public String getErrorStyle()

      Return the value of the `errorStyle` property.

      Contents: CSS style(s) to apply to any message with a severity class of "ERROR".

    - #### setErrorStyle

          public void setErrorStyle(String errorStyle)

      Set the value of the `errorStyle` property.

    - #### getFatalClass

          public String getFatalClass()

      Return the value of the `fatalClass` property.

      Contents: CSS style class to apply to any message with a severity class of "FATAL".

    - #### setFatalClass

          public void setFatalClass(String fatalClass)

      Set the value of the `fatalClass` property.

    - #### getFatalStyle

          public String getFatalStyle()

      Return the value of the `fatalStyle` property.

      Contents: CSS style(s) to apply to any message with a severity class of "FATAL".

    - #### setFatalStyle

          public void setFatalStyle(String fatalStyle)

      Set the value of the `fatalStyle` property.

    - #### getInfoClass

          public String getInfoClass()

      Return the value of the `infoClass` property.

      Contents: CSS style class to apply to any message with a severity class of "INFO".

    - #### setInfoClass

          public void setInfoClass(String infoClass)

      Set the value of the `infoClass` property.

    - #### getInfoStyle

          public String getInfoStyle()

      Return the value of the `infoStyle` property.

      Contents: CSS style(s) to apply to any message with a severity class of "INFO".

    - #### setInfoStyle

          public void setInfoStyle(String infoStyle)

      Set the value of the `infoStyle` property.

    - #### getLang

          public String getLang()

      Return the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

    - #### setLang

          public void setLang(String lang)

      Set the value of the `lang` property.

    - #### getLayout

          public String getLayout()

      Return the value of the `layout` property.

      Contents: The type of layout markup to use when rendering error messages. Valid values are "table" (an HTML table) and "list" (an HTML list). If not specified, the default value is "list".

    - #### setLayout

          public void setLayout(String layout)

      Set the value of the `layout` property.

    - #### getRole

          public String getRole()

      Return the value of the `role` property.

      Contents:

      Per the WAI-ARIA spec and its relationship to HTML5 (Section title ARIA Role Attriubute), every HTML element may have a "role" attribute whose value must be passed through unmodified on the element on which it is declared in the final rendered markup. The attribute, if specified, must have a value that is a string literal that is, or an EL Expression that evaluates to, a set of space-separated tokens representing the various WAI-ARIA roles that the element belongs to.

      It is the page author's responsibility to ensure that the user agent is capable of correctly interpreting the value of this attribute.

    - #### setRole

          public void setRole(String role)

      Set the value of the `role` property.

    - #### getStyle

          public String getStyle()

      Return the value of the `style` property.

      Contents: CSS style(s) to be applied when this component is rendered.

    - #### setStyle

          public void setStyle(String style)

      Set the value of the `style` property.

    - #### getStyleClass

          public String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Set the value of the `styleClass` property.

    - #### getTitle

          public String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

    - #### setTitle

          public void setTitle(String title)

      Set the value of the `title` property.

    - #### isTooltip

          public boolean isTooltip()

      Return the value of the `tooltip` property.

      Contents: Flag indicating whether the detail portion of the message should be displayed as a tooltip.

    - #### setTooltip

          public void setTooltip(boolean tooltip)

      Set the value of the `tooltip` property.

    - #### getWarnClass

          public String getWarnClass()

      Return the value of the `warnClass` property.

      Contents: CSS style class to apply to any message with a severity class of "WARN".

    - #### setWarnClass

          public void setWarnClass(String warnClass)

      Set the value of the `warnClass` property.

    - #### getWarnStyle

          public String getWarnStyle()

      Return the value of the `warnStyle` property.

      Contents: CSS style(s) to apply to any message with a severity class of "WARN".

    - #### setWarnStyle

          public void setWarnStyle(String warnStyle)

      Set the value of the `warnStyle` property.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.